<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginStart="@dimen/dp_20"
    android:layout_marginTop="@dimen/dp_12"
    android:layout_marginEnd="@dimen/dp_20"
    android:elevation="@dimen/dp_1"
    app:cardCornerRadius="@dimen/dp_6">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:padding="@dimen/dp_4">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/layout_amount"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:background="@drawable/shape_fdf4f2_cor6"
            android:gravity="center"
            android:orientation="vertical"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintDimensionRatio="w,1:1"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <TextView
                android:id="@+id/tv_discount_amount"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="￥100"
                android:textColor="@color/color_ff5846"
                android:textSize="@dimen/sp_24" />

            <TextView
                android:id="@+id/tv_threshold_amount"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_6"
                android:text="满999可用"
                android:textColor="@color/color_ff5846"
                android:textSize="@dimen/sp_12" />
        </androidx.appcompat.widget.LinearLayoutCompat>

        <TextView
            android:id="@+id/tv_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_10"
            android:layout_marginTop="@dimen/dp_8"
            android:text="满减现金券"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_15"
            android:textStyle="bold"
            app:layout_constraintStart_toEndOf="@id/layout_amount"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_expire_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_4"
            android:text="有效期至 2024.09.25"
            android:textColor="@color/color_999999"
            android:textSize="@dimen/sp_12"
            app:layout_constraintStart_toStartOf="@id/tv_name"
            app:layout_constraintTop_toBottomOf="@id/tv_name" />

        <TextView
            android:id="@+id/tv_type"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_10"
            android:layout_marginBottom="@dimen/dp_8"
            android:background="@drawable/shape_10fb7528_cor2"
            android:paddingStart="@dimen/dp_4"
            android:paddingTop="@dimen/dp_2"
            android:paddingEnd="@dimen/dp_4"
            android:paddingBottom="@dimen/dp_2"
            android:text="现金券"
            android:textColor="@color/color_fb7528"
            android:textSize="@dimen/sp_10"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="@id/tv_name"
            app:layout_constraintTop_toBottomOf="@id/tv_expire_time" />

        <com.cheng.bole.widget.CommonShapeView
            android:id="@+id/btn_next"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/dp_8"
            android:paddingStart="@dimen/dp_12"
            android:paddingTop="@dimen/dp_3"
            android:paddingEnd="@dimen/dp_12"
            android:paddingBottom="@dimen/dp_3"
            android:text="去使用"
            android:textColor="@color/color_ff5846"
            android:textSize="@dimen/sp_14"
            app:csb_cornerRadius="@dimen/dp_25"
            app:csb_strokeColor="@color/color_ff5846"
            app:csb_strokeWidth="@dimen/dp_1"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_expire_tag"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/dp_20"
            android:src="@mipmap/ic_expire_coupon"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.cardview.widget.CardView>